## ros-noetic-rqt-rosbag-fancy 1.0.1

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.0)
project(rqt_rosbag_fancy)

find_package(catkin REQUIRED COMPONENTS
	rosbag_fancy_msgs
	rosfmt
	rqt_gui
	rqt_gui_cpp
	std_srvs
)

catkin_package()

include_directories(${catkin_INCLUDE_DIRS})

find_package(Qt5Widgets REQUIRED)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

qt5_wrap_ui(UI_HDRS
	src/fancy_gui.ui
)

qt5_wrap_cpp(MOC_SRCS
	src/fancy_gui.h
	src/topic_model.h
)

add_library(rqt_rosbag_fancy
	${UI_HDRS}
	${MOC_SRCS}
	src/fancy_gui.cpp
	src/topic_model.cpp
)
target_link_libraries(rqt_rosbag_fancy
	${catkin_LIBRARIES}
	Qt5::Widgets
)

install(TARGETS rqt_rosbag_fancy
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(FILES ${PROJECT_SOURCE_DIR}/rqt_plugins.xml
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rqt-rosbag-fancy (1.0.1-1focal) focal; urgency=high

  * add missing std_srvs dependency
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Mon, 10 Jul 2023 22:00:00 -0000

ros-noetic-rqt-rosbag-fancy (1.0.0-1focal) focal; urgency=high

  * GUI/TUI: display messages in bag, not total messages
  * Add rqt GUI (PR #14)
  * rqt_rosbag_fancy: rosfmt/full.h is not available on Melodic
  * rename rosbag_fancy_gui to rqt_rosbag_fancy
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Sun, 09 Jul 2023 22:00:00 -0000

ros-noetic-rqt-rosbag-fancy (0.2.0-1focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Mon, 15 Jun 2020 22:00:00 -0000

ros-noetic-rqt-rosbag-fancy (0.1.1-1focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Mon, 21 Oct 2019 22:00:00 -0000

ros-noetic-rqt-rosbag-fancy (0.1.0-1focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Thu, 17 Oct 2019 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-rqt-rosbag-fancy
Section: misc
Priority: optional
Maintainer: Max Schwarz <max.schwarz@ais.uni-bonn.de>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-noetic-catkin, ros-noetic-rosbag-fancy-msgs, ros-noetic-rosfmt, ros-noetic-rqt-gui, ros-noetic-rqt-gui-cpp, ros-noetic-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rqt-rosbag-fancy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rosbag-fancy-msgs, ros-noetic-rosfmt, ros-noetic-rqt-gui, ros-noetic-rqt-gui-cpp, ros-noetic-std-srvs
Description: rqt GUI for rosbag_fancy

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rqt-rosbag-fancy//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
